<div id="fgs2wp_help_options">
<h1>FG SPIP to WordPress Options</h1>

<h2>Empty WordPress content</h2>
<p>Before running the import or if you want to rerun the import from scratch, you can empty the WordPress content.</p>
<p><strong>Remove only the new imported posts:</strong> Only the new imported posts will be removed when you click on the "Empty WordPress content" button.</p>
<p><strong>Remove all WordPress content:</strong> All the WordPress content (posts, pages, attachments, categories, tags, navigation menus, custom post types) will be removed when you click on the "Empty WordPress content" button.</p>
<p><strong>Automatic removal:</strong> If you check this option, all the WordPress content will be deleted when you click on the Import button.</p>

<h2>SPIP database parameters</h2>

<p>You can find the following informations in the SPIP file <strong>config/connect.php</strong></p>

<p>spip_connect_db(<strong>&lt;Host&gt;</strong>,'',<strong>&lt;Login&gt;</strong>,<strong>&lt;Password&gt;</strong>,<strong>&lt;Database&gt;</strong>,'mysql', <strong>&lt;Prefix&gt;</strong>,'');
</p>


<h2>Behavior</h2>

<p><strong>Import introduction:</strong> The text before the «More» split can be imported to the post excerpt or to the post content or to both.</p>

<p><strong>Medias:</strong><br />
<ul>
<li><strong>Skip media:</strong> You can import or skip the medias (images, attached files).</li>
<li><strong>Medias import method:</strong> You can choose which method will be used to import the media:
	<ul>
		<li>Either the HTTP method. This is the easier method. The SPIP site must be online. You must fill in the URL of the SPIP site.</li>
		<li>Or the local files method. You can use this method if the SPIP site is already offline or contains too many medias to transfer. You must fill in the root directory of the SPIP files.</li>
	</ul>
</li>
<li><strong>Import the logo:</strong> You can import the logo as the WordPress post featured image or just keep it in the content (as is), or to both.</li>
<li><strong>Import external media:</strong> If you want to import the medias that are not on your site, check the "External media" option. Be aware that it can reduce the speed of the import or even hang the import.</li>
<li><strong>Import media with duplicate names:</strong> If you have several images with the exact same filename in different directories, you need to check the "media with duplicate names" option. In this case, all the filenames will be named with the directory as a prefix.</li>
<li><strong>Force media import:</strong> If you already imported some images and these images are corrupted on WordPress (images with a size of 0Kb for instance), you can force the media import. It will overwrite the already imported images. In a normal use, you should keep this option unchecked.</li>
<li><strong>Timeout for each media:</strong> The default timeout to copy a media is 5 seconds. You can change it if you have many errors like "Can't copy xxx. Operation timeout".</li>
</ul>
</p>

<p><strong>Create pages:</strong> You have the choice to import the SPIP articles as WordPress posts or pages.</p>

<p><strong>Keywords <span class="fgs2wp_premium_feature">(Premium feature)</span>:</strong> You can import the keywords as WordPress tags or import the keywords groups as custom taxonomies. In this case, you need to install the <a href="https://wordpress.org/plugins/types/" target="_blank">Types</a> plugin.</p>

<p><strong>SEO <span class="fgs2wp_premium_feature">(Premium feature)</span>:</strong>
<ul>
<li><strong>Keep the SPIP articles IDs:</strong> With this option checked, the WordPress post IDs will be the same as the SPIP ones. If you choose this option, you need to empty all the WordPress content before the import.</li>
<li><strong>Redirect the SPIP URLs:</strong> With this option checked, the old SPIP article links will be automatically redirected to the new WordPress URLs. It uses "301 redirect". By this way, the SEO will be kept. The plugin must remain active to redirect the URLs.</li>
</ul></p>

<p><strong>Partial import <span class="fgs2wp_premium_feature">(Premium feature)</span>:</strong> If you don't want to import all the SPIP data, you can use this option. Please note that even if you don't use this option and if you rerun the import, the already imported content won't be imported twice.</p>

<?php do_action('fgs2wp_help_options'); ?>

</div>
